#
# spec file for package ax25spyd (Version 0.23 )
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
# devs syslog-ng

# norootforbuild

#BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25-devel libtool perl rpm
BuildRequires: libax25-devel ncurses-devel

Name:         ax25spyd
License:      GPL
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      0.23 
Release:      lp160.695.6
Summary:      This daemon listens for AX.25-packets from the kernel
Source:       %{name}-%{version}.tar.gz
Patch1:       ax25spyd-gcc4.diff
Patch2:       ax25spyd_src_nrdump.c__add_include.diff
URL:          http://www.linkt.de/projects/ax25spyd.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is ax25spyd (formerly known as monixd), a daemon, which listens
for AX.25-packets from the kernel-ax.25. These packets are decoded
(like listen(1)) but not displayed on the screen.

Other programs can connect to ax25spyd via sockets and issue commands.
They will get all heard ax.25-Packets in a human-readable-format, a
mheard structure, DX-Cluster-messages or spydata.

The program ax25spy is an demo program for ax25spyd. It uses the TCP
port 14090 to connect to a running ax25spyd and issues commands. The
answers of ax25spyd will be read by ax25spy an be displayed.



Authors:
--------
    Walter Koch <dg9ep@linkt.de>

%debug_package
%prep
%setup
%patch1
%patch2 -p1

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --infodir=%{_infodir} --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT/etc/ax25/
#install -m 644 -o root -g root examples/ax25spyd.conf.example $RPM_BUILD_ROOT/etc/ax25/ax25spyd.conf
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT{/usr/etc,/}
mv $RPM_BUILD_ROOT/etc/ax25/ax25spyd.conf{.example,}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README examples/services examples/ax25spy.shtml
%config(noreplace) /etc/ax25/ax25spyd.conf
%config(noreplace) /etc/ax25/services
/usr/bin/ax25spy
/usr/sbin/ax25spyd 
/usr/share/man/man1/*.gz
/usr/share/man/man5/*.gz
/usr/share/man/man8/*.gz

%changelog -n ax25spyd
* Tue Feb 24 2011 - dl8fcl@darc.de
- fix for 11.4
* Wed Feb 20 2007 - dl9pf@gmx.de
- import into buildservice
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Nov 30 2000 - jreuter@suse.de
- changed group tag to Networking/Hamradio
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri May 05 2000 - bubnikv@suse.cz
- added buildroot, URL: to specfile
- minor specfile cleanups
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Thu Nov 11 1999 - ka@suse.de
- update to version 0.23
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 24 1999 - ro@suse.de
- fixed for new libax25 includes
* Mon May 24 1999 - ka@suse.de
- initial release

